OGRE: Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference - OGRE Documentation

# Ogre::SceneManager::ShadowCasterSceneQueryListener Class Reference

Inner class to use as callback for shadow caster scene query. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::SceneManager::ShadowCasterSceneQueryListener:

[legend]

List of all members.

## Public Member Functions
| ShadowCasterSceneQueryListener (SceneManager *sm)
void | prepare (bool lightInFrustum, const PlaneBoundedVolumeList *lightClipVolumes, const Light *light, const Camera *cam, ShadowCasterList *casterList, Real farDistSquared)
bool | queryResult (MovableObject *object)
| Called when a MovableObject is returned by a query.
bool | queryResult (SceneQuery::WorldFragment *fragment)
| Called when a WorldFragment is returned by a query.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Protected Attributes
SceneManager * | mSceneMgr
ShadowCasterList * | mCasterList
bool | mIsLightInFrustum
const PlaneBoundedVolumeList * | mLightClipVolumeList
const Camera * | mCamera
const Light * | mLight
Real | mFarDistSquared

## Detailed Description

Inner class to use as callback for shadow caster scene query.

Definition at line 799 of file OgreSceneManager.h.

## Constructor & Destructor Documentation

Ogre::SceneManager::ShadowCasterSceneQueryListener::ShadowCasterSceneQueryListener | ( | SceneManager * | sm | ) |

Definition at line 810 of file OgreSceneManager.h.

## Member Function Documentation

void Ogre::SceneManager::ShadowCasterSceneQueryListener::prepare | ( | bool | lightInFrustum,
|  | const PlaneBoundedVolumeList * | lightClipVolumes,
|  | const Light * | light,
|  | const Camera * | cam,
|  | ShadowCasterList * | casterList,
|  | Real | farDistSquared |
| ) |  |  |

Definition at line 814 of file OgreSceneManager.h.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | MovableObject * | object | ) | `[virtual]`

Called when a MovableObject is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implements Ogre::SceneQueryListener.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::queryResult | ( | SceneQuery::WorldFragment * | fragment | ) | `[virtual]`

Called when a WorldFragment is returned by a query.

Remarks:
  The implementor should return 'true' to continue returning objects, or 'false' to abandon any further results from this query.

Implements Ogre::SceneQueryListener.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

SceneManager* Ogre::SceneManager::ShadowCasterSceneQueryListener::mSceneMgr`[protected]`

Definition at line 802 of file OgreSceneManager.h.

ShadowCasterList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCasterList`[protected]`

Definition at line 803 of file OgreSceneManager.h.

bool Ogre::SceneManager::ShadowCasterSceneQueryListener::mIsLightInFrustum`[protected]`

Definition at line 804 of file OgreSceneManager.h.

const PlaneBoundedVolumeList* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLightClipVolumeList`[protected]`

Definition at line 805 of file OgreSceneManager.h.

const Camera* Ogre::SceneManager::ShadowCasterSceneQueryListener::mCamera`[protected]`

Definition at line 806 of file OgreSceneManager.h.

const Light* Ogre::SceneManager::ShadowCasterSceneQueryListener::mLight`[protected]`

Definition at line 807 of file OgreSceneManager.h.

Real Ogre::SceneManager::ShadowCasterSceneQueryListener::mFarDistSquared`[protected]`

Definition at line 808 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManager.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:36:10 2009